When("I fill the step {string}:") do |string, table|
	metadata = @metadata["WizardIntakeForm"]
	headers = table.raw[0]
    row = table.raw[1]
    data_fields_keys = metadata["fields"].keys & headers
    row_hasg = headers.zip(row).to_h
    data_fields_keys.each { |key| 
      field = metadata["fields"][key]
      value = row_hasg[key]
      case field["type"]
      when "text" then
        field_element = find("input[name=#{field['name']}]")
        field_element.set(value)
      when "radio"
        field_element = first("input[name=#{field['name']}]")
        parent = field_element.ancestor('div.form-group')
        within(parent) do
          choose(value)
        end
      when "select"
        select(value, :from => "#{field['name']}")
      when "checkbox"
        if value == "On" then
          field_element = find("input[name=#{field['name']}]")
          field_element.set(true)
        end
      else
        field_element = find("input[name=#{field['name']}]")
        field_element.set(value)
      end
    }
end

When("I activate {string}") do |string|
  field_element = find("input[name=ack]")
end

When("I click on {string} button") do |string|
  click_link(string)
end